#!/bin/bash
set -eou pipefail
set -x
SU=$(which doas)
(
    cd /home
    doas -u postgres psql -d postgres -c "SELECT 1" || exit 1
    doas -u postgres psql -d timesheet -c "SELECT 1" || doas -u postgres psql -d postgres <<EOF
CREATE DATABASE timesheet;
ALTER DATABASE timesheet OWNER TO das;
GRANT CONNECT ON DATABASE timesheet TO postgres;
\c timesheet
CREATE ROLE das LOGIN;
GRANT ALL ON SCHEMA public TO das;
EOF
)
