DROP VIEW public.today;
CREATE VIEW public.today
 AS
 SELECT id,
    project_id,
    description,
    COALESCE(duration, "end" - start) AS duration,
	(COALESCE(start, "end" - duration) AT TIME ZONE 'UTC'::text) AS "start",
    (COALESCE("end", start + duration) AT TIME ZONE 'UTC'::text) AS "end"
   FROM items
  WHERE (COALESCE("end", start + duration) AT TIME ZONE 'UTC'::text)::date = CURRENT_DATE;

GRANT ALL ON SCHEMA public TO das;
