SET TIME ZONE 'Pacific/Auckland';
--SET ":project_id" = CAST(COALESCE(:project_id, NULL) AS INT);
--SET ":start_time" = CAST(COALESCE(:start_time, NULL) AS TIMESTAMP WITHOUT TIME ZONE);
--SET :end_time = CAST(COALESCE(:end_time, NULL) AS TIMESTAMP WITHOUT TIME ZONE);
SET ":project_id" = CASE :project_id WHEN '' THEN NULL ELSE :project_id END;
SET ":description" = CASE :description WHEN '' THEN NULL ELSE :description END;
SET ":start_time" = CASE :start_time WHEN '' THEN NULL ELSE :start_time END;
SET ":end_time" = CASE :end_time WHEN '' THEN NULL ELSE :end_time END;
SET ":duration" = CASE :duration WHEN '' THEN NULL ELSE :duration END;

CALL public.add_item(
    CAST(:project_id AS NUMERIC),
    CAST(:description AS TEXT),
    CAST(:start_time AS TIME WITH TIME ZONE),
    COALESCE(CAST(:end_time AS TIME WITH TIME ZONE), current_time(0)),
    CAST(:duration AS INTERVAL)
);
SELECT 'redirect' AS component, 'add_item.sql' AS link;