SET TIME ZONE 'Pacific/Auckland';
SET ":title" = 'Timesheet Items';
SELECT 'shell' AS component
  , 'dark' AS theme
  , '/clock-2.svg' AS favicon
  , 'clock-2' AS icon
  , :title AS title
;

SET ":level" = CASE $level WHEN '' THEN 1 ELSE CAST($level AS INT) END;
SELECT 'title' AS component
  , :title AS contents
  , COALESCE(CAST(:level AS INT), 1) AS level
;
SET ":ago" = CASE $ago WHEN '' THEN NULL ELSE $ago END;
SELECT 'table' AS component
  , TRUE AS striped_rows
;
SELECT id
, project_id
, description
, duration
, CAST(start AS TIME)
, CAST("end" AS TIME)
FROM today
ORDER BY id DESC
;
